---
apiVersion: secrets-store.csi.x-k8s.io/v1
kind: SecretProviderClass
metadata:
  name: myvaulty
  namespace: {{ k8s_cnpg_namespace }}
spec:
  provider: vault
  secretObjects:
    - secretName: dbpass
      type: Opaque
      data:
        - objectName: "password"
          key: password
  parameters:
    vaultAddress: "{{ k8s_cnpg_vault_server }}"
    roleName: "{{ k8s_cnpg_vault_role }}"
    objects: |
      - objectName: password
        secretPath: "{{ k8s_cnpg_vault_path }}"
        secretKey: password
